Create App
curl --request POST \
--url https://api.us.vartiq.com/apps \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"projectId": "<string>"
}
'import requests
url = "https://api.us.vartiq.com/apps"
payload = {
"name": "<string>",
"description": "<string>",
"projectId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', projectId: '<string>'})
};
fetch('https://api.us.vartiq.com/apps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"environment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}Apps
Create App
POST
/
apps
Create App
Body Parameters
string
required
Name of the app
string
Optional description of the app
string
required
The unique identifier of the project this app belongs to
Response
boolean
Indicates if the request was successful
string
A message describing the result of the operation
object
Response Example
{
"success": true,
"message": "App created successfully",
"data": {
"id": "app_01JT3854RQEQC8BXN79H2B1YSV",
"name": "second app",
"description": "",
"environment": "development",
"createdAt": "2025-04-30T11:43:46.469Z",
"updatedAt": "2025-04-30T11:43:46.469Z"
}
}
⌘I